org.mariadb.jdbc

## Class MySQLClob

- java.lang.Object
- - org.mariadb.jdbc.MySQLBlob
  - - org.mariadb.jdbc.MySQLClob

All Implemented Interfaces:
  Serializable, Blob, Clob, NClob

    public class MySQLClob
    extends MySQLBlob
    implements Clob, NClob, Serializable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.mariadb.jdbc.MySQLBlob

`actualSize, blobContent`

### Constructor Summary

Constructors
Constructor and Description
`MySQLClob()`
`MySQLClob(byte[] bytes)`

### Method Summary

Methods
`InputStream` `getAsciiStream()`
`Reader` `getCharacterStream()`
`Reader` `getCharacterStream(long pos, long length)`
`String` `getSubString(long pos, int length)`
`long` `length()` Returns the number of bytes in the `BLOB` value designated by this `Blob` object.
`long` `position(Clob searchstr, long start)`
`long` `position(String searchstr, long start)`
`OutputStream` `setAsciiStream(long pos)`
`Writer` `setCharacterStream(long pos)`
`int` `setString(long pos, String str)`
`int` `setString(long pos, String str, int offset, int len)`
`String` `toString()`

### Methods inherited from class org.mariadb.jdbc.MySQLBlob

`free, getBinaryStream, getBinaryStream, getBytes, position, position, setBinaryStream, setBytes, setBytes, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.Clob

`free, truncate`

### Constructor Detail

#### MySQLClob

    public MySQLClob(byte[] bytes)

#### MySQLClob

    public MySQLClob()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getSubString

    public String getSubString(long pos,
                      int length)
                        throws SQLException

Specified by:
  `getSubString` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position(String searchstr,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position(Clob searchstr,
                long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString(long pos,
                String str)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString(long pos,
                String str,
                int offset,
                int len)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### setAsciiStream

    public OutputStream setAsciiStream(long pos)
                                throws SQLException

Specified by:
  `setAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### setCharacterStream

    public Writer setCharacterStream(long pos)
                              throws SQLException

Specified by:
  `setCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(long pos,
                            long length)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### length

    public long length()

Description copied from class: `MySQLBlob`
Returns the number of bytes in the `BLOB` value designated by this `Blob` object.

Specified by:
  `length` in interface `Blob`
Specified by:
  `length` in interface `Clob`
Overrides:
  `length` in class `MySQLBlob`
Returns:
  length of the `BLOB` in bytes